package fr.alnotz.quaternion;

public interface IsDual {
    double getR();
    double getD();
    void setR(double r);
    void setD(double d);
    IsDual plus(IsDual dual);
    IsDual times(IsDual dual);
    IsDual conjugate();
    boolean equals(IsDual dual);
    String toString();
}
